/* Color Variables based on Colors.ts */
:root {
  --top: rgb(138, 180, 202);
  --service: rgb(149, 93, 165);
  --business: rgb(159, 160, 160);
  --message: rgb(237, 175, 51);
  --company: rgb(209, 213, 35);
  --privacy: rgb(149, 93, 165);
  --top-topics-header: rgb(235, 235, 216);
  --top-topics-border-top: rgb(210, 215, 32);
  --top-topics-border-bottom: rgb(146, 179, 31);
  --text-header: rgb(130, 130, 130);
  --text-content: rgb(88, 88, 88);
}

html {
  scroll-behavior: smooth;
}

body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.main {
  flex: 1;
  display: flex;
  flex-direction: column;
}

.resizable {
  width: 100%;
}

.silhouette-image {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 100px;
  height: 100px;
}

.anchor-target {
  display: block;
  position: relative;
  top: -55px; /* Navbar height offset */
  visibility: hidden;
}

@media screen and (min-width: 768px) {
  .container {
    max-width: 900px !important;
  }
  .header, .main, .footer {
    padding-left: 0;
    padding-right: 0;
  }
  .header {
    margin-bottom: 30px;
    background-color: #ffffff;
  }
  .header .navbar-brand {
    padding-left: 15px;
  }
  .section-content {
    margin-left: 20px !important;
    margin-right: 20px !important;
    padding-left: 30px !important;
    padding-right: 30px !important;
  }
}

/* Header Override */
.header-container {
  border-bottom: 1px solid #e5e5e5;
  background-color: #ffffff;
}
.header-container .navbar-brand {
  padding-left: 30px;
}
nav.navbar-default {
  background-color: #fff;
  border-color: #e7e7e7;
}
.navbar-default .navbar-nav > .active > a,
.navbar-default .navbar-nav > .active > a:hover,
.navbar-default .navbar-nav > .active > a:focus {
  background-color: #fff;
}
.nav > li > a {
  padding-left: 30px !important;
  padding-right: 30px !important;
  color: #777;
  font-weight: bold;
}
.nav > li > a:hover {
  text-decoration: none;
}

#nav-top:hover { border-bottom: 5px solid var(--top); background-color: #fff; }
#nav-service:hover { border-bottom: 5px solid var(--service); background-color: #fff; }
#nav-business:hover { border-bottom: 5px solid var(--business); background-color: #fff; }
#nav-message:hover { border-bottom: 5px solid var(--message); background-color: #fff; }
#nav-company:hover { border-bottom: 5px solid var(--company); background-color: #fff; }
#nav-privacy:hover { border-bottom: 5px solid var(--privacy); background-color: #fff; }

/* SectionWrapper */
.section-wrapper {
  font-size: 12px;
  line-height: 1.4em;
  padding: 0;
  position: relative;
}
.section-wrapper h1 {
  font-size: 26px;
  color: var(--text-header);
  margin: 0;
  padding: 0 0 0 60px;
  height: 40px;
}
.section-wrapper h2 {
  font-size: 16px;
  font-weight: bold;
  color: var(--text-content);
}
.section-wrapper h3 {
  font-size: 13px;
  font-weight: bold;
  color: var(--text-content);
}
.section-content {
  margin-top: 30px;
  margin-bottom: 30px;
  margin-left: 8px;
  margin-right: 8px;
  padding-top: 30px;
  padding-bottom: 30px;
  padding-left: 12px;
  padding-right: 12px;
  background-color: #ffffff;
  border-radius: 8px;
}

/* Top Section */
#top-sec {
  margin-top: 55px;
  background: url('../images/top_wave.png') 50% 0 no-repeat fixed;
  background-size: contain;
}
#top-sec #main-content ul {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
#top-sec #topics-list {
  margin: 0 auto;
  padding: 0 10px 50px;
  border-top: 4px solid var(--top-topics-header);
  background-image: linear-gradient(var(--top-topics-border-top) 0, var(--top-topics-border-bottom) 100%);
}
#top-sec #topics-list h2 {
  font-size: 14px;
  color: var(--text-header);
  text-align: center;
  margin-top: 0;
  margin-bottom: 20px;
  margin-left: auto;
  margin-right: auto;
  padding: 3px;
  max-width: 600px;
  background-color: #ffffff;
  border-radius: 0 0 5px 5px;
}
@media screen and (min-width: 1024px) {
  #top-sec {
    height: calc(100vh - 55px - 30px);
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
  }
}
.topic-container {
  font-size: 14px;
  color: #ffffff;
  line-height: 2em;
  margin-top: 0;
  margin-bottom: 2px;
  margin-left: auto;
  margin-right: auto;
  max-width: 600px;
}
.topic-container span.published-date {
  padding-left: 15px;
  background: url('../images/marker_white.png') no-repeat 0px 50%;
}
.topic-container span.title {
  padding-left: 0;
}
.topic-container span.title a {
  background: url('../images/icon_external_link_white.png') no-repeat right center;
  padding-right: 18px;
  color: #ffffff;
}
.topic-container span.title a:visited {
  color: #ffffff;
}

/* Business Section */
#sec-business {
  background: url('../images/background_business.png') 50% 0 no-repeat fixed;
  background-size: cover;
  background-color: #c4b9ac;
}
#sec-business h1 {
  background: url('../images/header_business.png') no-repeat 0 0;
}
#sec-business div.business-content {
  margin-top: 30px;
}
#sec-business div.business-content h2 {
  margin-bottom: 20px;
  margin-left: 23px;
  margin-right: 23px;
}
#sec-business div.business-content h3 {
  margin-bottom: 5px;
  margin-left: 40px;
  margin-right: 40px;
  padding-left: 15px;
  background: url('../images/marker_gray.png') no-repeat 0px 50%;
}
#sec-business div.business-content p {
  font-size: 14px;
  color: var(--text-content);
  margin-left: 55px;
  margin-right: 20px;
  margin-bottom: 20px;
  line-height: 1.5em;
}
#sec-business .silhouette-image {
  background: url('../images/silhouette_business.png') no-repeat 0 0;
}
#sec-business .silhouette-image:hover {
  background-position: 0 bottom;
}

/* Message Section */
#sec-message {
  background-image: linear-gradient(#fef8ee 0, #f9e5c0 100%);
}
#sec-message h1 {
  background: url('../images/header_message.png') no-repeat 0 0;
}
#sec-message div.message-content {
  margin-top: 30px;
  padding: 30px;
  background-color: var(--message);
  border-radius: 8px;
}
#sec-message div.message-content h2 {
  font-size: 14px;
  color: #ffffff;
  margin-bottom: 15px;
}
#sec-message div.message-content p {
  font-size: 12px;
  color: #ffffff;
  line-height: 1.4em;
  margin-bottom: 15px;
}
#sec-message div.message-content p.signature {
  text-align: right;
}
#sec-message .silhouette-image {
  background: url('../images/silhouette_message.png') no-repeat 0 0;
}
#sec-message .silhouette-image:hover {
  background-position: 0 bottom;
}

/* Company Section */
#sec-company {
  background: url('../images/background_company.png') 50% 0 no-repeat fixed;
  background-size: cover;
  background-color: #dddec8;
}
#sec-company h1 {
  background: url('../images/header_company.png') no-repeat 0 0;
}
#sec-company table {
  margin-top: 30px;
  margin-left: auto;
  margin-right: auto;
}
#sec-company table th {
  vertical-align: middle;
  background-image: url('../images/marker_green.png');
  background-repeat: no-repeat;
  background-position: 0px 50%;
  padding: 8px 8px 8px 20px;
  width: 150px;
  font-size: 14px;
  font-weight: normal;
}
#sec-company table td {
  vertical-align: middle;
  padding: 5px;
  font-size: 13px;
}
#sec-company #company-map {
  margin-top: 50px;
  margin-left: auto;
  margin-right: auto;
  max-width: 700px;
  position: relative;
  padding-bottom: 56.25%;
  padding-top: 30px;
  height: 0;
  overflow: hidden;
}
#sec-company #company-map iframe {
  border-style: none;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
#sec-company .silhouette-image {
  background: url('../images/silhouette_company.png') no-repeat 0 0;
  overflow: hidden;
  text-indent: 100%;
  white-space: nowrap;
}
#sec-company .silhouette-image:hover {
  background-position: 0 bottom;
}

/* Privacy Section */
#sec-privacy {
  background-image: linear-gradient(#ebe0ee 0, #d5bfdc 100%);
  flex: 1;
  margin-top: 55px; /* offset for navbar */
}
#sec-privacy h1 {
  background: url('../images/header_privacy.png') no-repeat 0 0;
}
.privacy-content {
  font-size: 13px;
  color: var(--text-content);
  margin-top: 30px;
}
.privacy-content h2 {
  font-size: 14px;
  font-weight: bold;
  margin-bottom: 20px;
  margin-left: 23px;
  margin-right: 23px;
}
.privacy-content p.sec1 {
  margin-left: 20px;
  margin-right: 20px;
}
.privacy-content p.sec2 {
  margin-left: 40px;
  margin-right: 40px;
}
.privacy-content #return {
  font-size: 18px;
  text-align: center;
  margin-top: 100px;
}
#sec-privacy .silhouette-image {
  background: url('../images/silhouette_business.png') no-repeat 0 0;
}
#sec-privacy .silhouette-image:hover {
  background-position: 0 bottom;
}

/* Topic Pages */
#sec-topic {
  margin-top: 80px;
  background-image: linear-gradient(#fff 0, #ececec 100%);
  flex: 1;
}
#sec-topic div.topics-content {
  font-size: 14px;
  color: var(--text-content);
  margin-top: 30px;
  margin-left: 55px;
  margin-right: 55px;
}
#sec-topic div.topics-content h2 {
  margin-bottom: 20px;
  font-size: 24px;
  font-weight: bold;
}
#sec-topic div.topics-content h3 {
  margin-bottom: 60px;
  text-align: right;
  font-size: 14px;
}
#sec-topic div.topics-content p {
  line-height: 1.5em;
  margin-bottom: 20px;
}
#sec-topic div.topics-content a:link,
#sec-topic div.topics-content a:visited {
  color: var(--text-content);
}
#sec-topic div.topics-content #return {
  font-size: 18px;
  text-align: center;
  margin-top: 100px;
}
#sec-topic .silhouette-image {
  background: url('../images/silhouette_business.png') no-repeat 0 0;
}
#sec-topic .silhouette-image:hover {
  background-position: 0 bottom;
}

/* Footer */
footer {
  height: 80px;
  background-image: url('../images/background_footer.png');
  border-top: 1px solid #aaa;
  margin-top: auto;
}
footer ul.flat {
  margin-top: 20px;
  padding: 0;
  text-align: center;
}
footer li {
  display: inline;
  border-left: 1px solid #000;
  padding-left: 0.5em;
  padding-right: 0.5em;
}
footer li.first {
  border-left: none;
}
footer a {
  color: #666666;
  text-decoration: none;
}
footer a:hover {
  text-decoration: underline;
}
footer .link-label {
  margin-left: 5px;
}
footer address {
  font-size: 12px;
  position: relative;
  text-align: center;
  color: #666666;
  font-style: normal;
}
